require("defines")

--------------------------------------------------------------------------------------
local function on_init()
	global.force_guests = global.force_guests or game.create_force( "guests" )
end

script.on_init( on_init )

local function init_player(player)
	player.force = global.force_guests
	
	-- here I put other global per player initialization
end

--------------------------------------------------------------------------------------
local function on_player_created(event)
	init_player(game.get_player(event.player_index))
end

script.on_event(defines.events.on_player_created, on_player_created )

--------------------------------------------------------------------------------------
local function on_configuration_changed(data)
	if data.mod_changes ~= nil then
		on_init()
		
		---[[ -- COMMENT THIS PART WILL SOLVE THE PROBLEM, but I need it for initializing players global in case of an existing MP game installing my mod...
		local player
		for _, player in pairs(game.players) do
			init_player( player )
		end	
		--]]
	end
end

script.on_configuration_changed(on_configuration_changed)

